Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1585981 - oom-killer in 2nd kernel when use crashkernel=160M on 4.17 kernel (4.17.0-0.rc7.git2.1.fc29)
oom-killer in 2nd kernel when use crashkernel=160M on 4.17 kernel (4.17.0-0.r...
Status: NEW
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
29
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Dave Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-05 04:44 EDT by Qiao Zhao
Modified: 2018-08-14 06:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiao Zhao 2018-06-05 04:44:25 EDT
Description of problem:

In 4.17 kernel:

[    7.213087] modprobe invoked oom-killer: gfp_mask=0x14002c2(GFP_KERNEL|__GFP_HIGHMEM|__GFP_NOWARN), nodemask=(null), order=0, oom_score_adj=0
[    7.215195] modprobe cpuset=/ mems_allowed=0
[    7.215944] CPU: 0 PID: 374 Comm: modprobe Not tainted 4.17.0-0.rc7.git2.1.fc29.x86_64 #1
[    7.217212] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.11.0-2.fc28 04/01/2014
[    7.218565] Call Trace:
[    7.218971]  dump_stack+0x85/0xc0
[    7.219497]  dump_header+0x6e/0x2e8
[    7.220057]  ? trace_hardirqs_on_caller+0xed/0x180
[    7.221515]  oom_kill_process.cold.30+0xb/0x44f
[    7.222930]  out_of_memory+0x1d0/0x5a0
[    7.224167]  __alloc_pages_slowpath+0xf44/0x10a0
[    7.226138]  __alloc_pages_nodemask+0x3a8/0x430
[    7.229286]  __vmalloc_node_range+0x1da/0x2a0
[    7.231928]  __vmalloc+0x30/0x40
[    7.233476]  ? __do_sys_init_module+0xa4/0x1a0
[    7.234827]  __do_sys_init_module+0xa4/0x1a0
[    7.236133]  do_syscall_64+0x60/0x1f0
[    7.237365]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[    7.238802] RIP: 0033:0x7f35e854bd1a
[    7.240033] RSP: 002b:00007ffd09824d58 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[    7.241874] RAX: ffffffffffffffda RBX: 0000562bd0d2ab30 RCX: 00007f35e854bd1a
[    7.243843] RDX: 0000562bced713e6 RSI: 00000000003a682b RDI: 0000562bd1539410
[    7.247085] RBP: 0000562bced713e6 R08: 0000000000000001 R09: 0000000000000000
[    7.250244] R10: 0000562bd0d2a010 R11: 0000000000000246 R12: 0000562bd1539410
[    7.252130] R13: 0000562bd0d2aeb0 R14: 0000000000040000 R15: 0000000000000000
[    7.253936] Mem-Info:
[    7.254994] active_anon:7684 inactive_anon:5468 isolated_anon:0
[    7.254994]  active_file:0 inactive_file:0 isolated_file:0
[    7.254994]  unevictable:0 dirty:0 writeback:0 unstable:0
[    7.254994]  slab_reclaimable:3963 slab_unreclaimable:6803
[    7.254994]  mapped:2276 shmem:10169 pagetables:166 bounce:0
[    7.254994]  free:375 free_pcp:3 free_cma:0
[    7.263785] Node 0 active_anon:30736kB inactive_anon:21872kB active_file:0kB inactive_file:0kB unevictable:0kB isolated(anon):0kB isolated(file):0kB mapped:9104kB dirty:0kB writeback:0kB shmem:40676kB shmem_thp: 0kB shmem_pmdmapped: 0kB anon_thp: 0kB writeback_tmp:0kB unstable:0kB all_unreclaimable? no
[    7.270023] Node 0 DMA free:332kB min:4kB low:4kB high:4kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:632kB managed:548kB mlocked:0kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
[    7.277043] lowmem_reserve[]: 0 84 84 84 84
[    7.279210] Node 0 DMA32 free:1168kB min:1168kB low:1460kB high:1752kB active_anon:30736kB inactive_anon:21872kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:163188kB managed:111584kB mlocked:0kB kernel_stack:848kB pagetables:664kB bounce:0kB free_pcp:12kB local_pcp:12kB free_cma:0kB
[    7.286035] lowmem_reserve[]: 0 0 0 0 0
[    7.287327] Node 0 DMA: 1*4kB (U) 1*8kB (U) 0*16kB 0*32kB 1*64kB (U) 0*128kB 1*256kB (U) 0*512kB 0*1024kB 0*2048kB 0*4096kB = 332kB
[    7.290347] Node 0 DMA32: 0*4kB 0*8kB 1*16kB (U) 0*32kB 0*64kB 3*128kB (U) 3*256kB (U) 0*512kB 0*1024kB 0*2048kB 0*4096kB = 1168kB
[    7.293335] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
[    7.295716] 10169 total pagecache pages
[    7.296983] 0 pages in swap cache
[    7.298147] Swap cache stats: add 0, delete 0, find 0/0
[    7.299535] Free swap  = 0kB
[    7.300619] Total swap = 0kB
[    7.301778] 40955 pages RAM
[    7.302970] 0 pages HighMem/MovableOnly
[    7.304212] 12922 pages reserved
[    7.305376] 0 pages cma reserved
[    7.306560] 0 pages hwpoisoned
[    7.307714] [ pid ]   uid  tgid total_vm      rss pgtables_bytes swapents oom_score_adj name
[    7.310036] [  182]     0   182    18936     1511   188416        0             0 systemd-journal
[    7.313165] [  264]     0   264    20737     1926   212992        0         -1000 systemd-udevd
[    7.315574] [  373]     0   373     5574      346    90112        0             0 mount
[    7.317832] [  374]     0   374     6371     2419    90112        0             0 modprobe
[    7.319700] Out of memory: Kill process 374 (modprobe) score 87 or sacrifice child
[    7.321518] Killed process 374 (modprobe) total-vm:25484kB, anon-rss:7572kB, file-rss:4kB, shmem-rss:2100kB
[    7.330112] oom_reaper: reaped process 374 (modprobe), now anon-rss:0kB, file-rss:0kB, shmem-rss:0kB
[FAILED] Failed to mount /sysroot.
See 'systemctl status sysroot.mount' for details.
[DEPEND] Dependency failed for Local File Systems.
         Starting Setup Virtual Console...
[  OK  ] Stopped dracut initqueue hook.
[    7.366465] audit: type=1130 audit(1528187400.906:14): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-initqueue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting Cleaning Up and Shutting Down Daemons...
         Starting Kdump Emergency...
         Starting Create Volatile Files and Directories...

... ...

[  OK  ] Started Setup Virtual Console.
         Starting Kdump Error Handler...
Kdump: Executing default action systemctl reboot -f
[    7.734728] systemd-shutdow: 46 output lines suppressed due to ratelimiting
Failed to connect to bus: No such file or directory
It is possible to perform action directly, see discussion of --force --force in man:systemctl(1).
[    7.764923] systemd-shutdown[1]: Syncing filesystems and block devices.


In 4.16 kernel (kernel-4.16.3-301.fc28.x86_64), crashkernel=160M work well, vmcore saved.


Version-Release number of selected component (if applicable):
kexec-tools-2.0.17-3.fc29.x86_64
dracut-047-32.git20180515.fc29.x86_64
kernel-4.17.0-0.rc7.git2.1.fc29.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Qiao Zhao 2018-06-05 04:58:05 EDT
Additional test:
Change crashkernel=192M in 4.17 kernel, everything looks well.
Comment 2 Qiao Zhao 2018-06-05 06:12:33 EDT
The following results are my test by rd.memdebug=4 in /etc/sysconfig/kdump.

[  OK  ] Started udev Coldplug all Devices.
[   30.710491] audit: type=1130 audit(1528190164.628:10): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udev-trigger comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting dracut initqueue hook...
[   30.747534] dracut-initqueue[289]: [debug_mem] hook initqueue
[   30.755660] dracut-initqueue[289]: MemTotal:         112132 kB
[   30.757659] dracut-initqueue[289]: MemFree:           15800 kB
[   30.760257] dracut-initqueue[289]: MemAvailable:      30996 kB
[   30.762205] dracut-initqueue[289]: Buffers:               0 kB
[   30.764060] dracut-initqueue[289]: Cached:            41156 kB
[   30.765983] dracut-initqueue[289]: SwapCached:            0 kB
[   30.768329] dracut-initqueue[289]: Active:            19468 kB
[   30.770292] dracut-initqueue[289]: Inactive:          26812 kB
[   30.772082] dracut-initqueue[289]: Active(anon):      19468 kB
[   30.773777] dracut-initqueue[289]: Inactive(anon):    26812 kB
[   30.776586] dracut-initqueue[289]: Active(file):          0 kB
[   30.780351] dracut-initqueue[289]: Inactive(file):        0 kB
[   30.785188] dracut-initqueue[289]: Unevictable:           0 kB
[   30.787993] dracut-initqueue[289]: Mlocked:               0 kB
[   30.789845] dracut-initqueue[289]: SwapTotal:             0 kB
[   30.793811] dracut-initqueue[289]: SwapFree:              0 kB
[   30.796156] dracut-initqueue[289]: Dirty:                 0 kB
[   30.799167] dracut-initqueue[289]: Writeback:             0 kB
[   30.801879] dracut-initqueue[289]: AnonPages:          5140 kB
[   30.804623] dracut-initqueue[289]: Mapped:            10196 kB
[   30.807435] dracut-initqueue[289]: Shmem:             41156 kB
[   30.810438] dracut-initqueue[289]: Slab:              42744 kB
[   30.813180] dracut-initqueue[289]: SReclaimable:      18752 kB
[   30.817237] dracut-initqueue[289]: SUnreclaim:        23992 kB
[   30.821510] dracut-initqueue[289]: KernelStack:         832 kB
[   30.823325] dracut-initqueue[289]: PageTables:          908 kB
[   30.826384] dracut-initqueue[289]: NFS_Unstable:          0 kB
[   30.829501] dracut-initqueue[289]: Bounce:                0 kB
[   30.832207] dracut-initqueue[289]: WritebackTmp:          0 kB
[   30.834862] dracut-initqueue[289]: CommitLimit:       56064 kB
[   30.837514] dracut-initqueue[289]: Committed_AS:      60308 kB
[   30.840135] dracut-initqueue[289]: VmallocTotal:   34359738367 kB
[   30.843377] dracut-initqueue[289]: VmallocUsed:           0 kB
[   30.846228] dracut-initqueue[289]: VmallocChunk:          0 kB
[   30.849816] dracut-initqueue[289]: HardwareCorrupted:     0 kB
[   30.854142] dracut-initqueue[289]: AnonHugePages:         0 kB
[   30.856624] dracut-initqueue[289]: ShmemHugePages:        0 kB
[   30.860092] dracut-initqueue[289]: ShmemPmdMapped:        0 kB
[   30.863049] dracut-initqueue[289]: CmaTotal:              0 kB
[   30.867247] dracut-initqueue[289]: CmaFree:               0 kB
[   30.871143] dracut-initqueue[289]: HugePages_Total:       0
[   30.872929] dracut-initqueue[289]: HugePages_Free:        0
[   30.875746] dracut-initqueue[289]: HugePages_Rsvd:        0
[   30.879520] dracut-initqueue[289]: HugePages_Surp:        0
[   30.882122] dracut-initqueue[289]: Hugepagesize:       2048 kB
[   30.884194] dracut-initqueue[289]: Hugetlb:               0 kB
[   30.886734] dracut-initqueue[289]: DirectMap4k:       22900 kB
[   30.889417] dracut-initqueue[289]: DirectMap2M:      141312 kB
[   30.894815] dracut-initqueue[289]: slabinfo - version: 2.1
[   30.897323] dracut-initqueue[289]: # name            <active_objs> <num_objs> <objsize> <objperslab> <pagesperslab> : tunables <limit> <batchcount> <sharedfactor> : slabdata <active_slabs> <num_slabs> <sharedavail>
[   30.901641] dracut-initqueue[289]: RAWv6                 19     19   1664   19    8 : tunables    0    0    0 : slabdata      1      1      0
[   30.905149] dracut-initqueue[289]: UDPv6                  0      0   1856   17    8 : tunables    0    0    0 : slabdata      0      0      0
[   30.908995] dracut-initqueue[289]: tw_sock_TCPv6          0      0    288   14    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.912954] dracut-initqueue[289]: request_sock_TCPv6      0      0    352   11    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.916847] dracut-initqueue[289]: TCPv6                  0      0   2944   11    8 : tunables    0    0    0 : slabdata      0      0      0
[   30.920125] dracut-initqueue[289]: kcopyd_job             0      0   4464    7    8 : tunables    0    0    0 : slabdata      0      0      0
[   30.924064] dracut-initqueue[289]: dm_uevent              0      0   2632   12    8 : tunables    0    0    0 : slabdata      0      0      0
[   30.928239] dracut-initqueue[289]: scsi_sense_cache       0      0    128   32    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.931543] dracut-initqueue[289]: sgpool-128             6      6   5120    6    8 : tunables    0    0    0 : slabdata      1      1      0
[   30.936629] dracut-initqueue[289]: sgpool-64             12     12   2560   12    8 : tunables    0    0    0 : slabdata      1      1      0
[   30.939170] dracut-initqueue[289]: sgpool-32             12     12   1280   12    4 : tunables    0    0    0 : slabdata      1      1      0
[   30.944128] dracut-initqueue[289]: sgpool-16             12     12    640   12    2 : tunables    0    0    0 : slabdata      1      1      0
[   30.946934] dracut-initqueue[289]: cfq_queue              0      0    240   17    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.951123] dracut-initqueue[289]: bsg_cmd                0      0    216   18    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.953625] dracut-initqueue[289]: mqueue_inode_cache     10     10   1536   10    4 : tunables    0    0    0 : slabdata      1      1      0
[   30.957137] dracut-initqueue[289]: jbd2_transaction_s      0      0    320   12    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.960766] dracut-initqueue[289]: jbd2_journal_handle      0      0     48   85    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.963271] dracut-initqueue[289]: jbd2_journal_head      0      0    120   34    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.968588] dracut-initqueue[289]: jbd2_revoke_table_s      0      0     16  256    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.971450] dracut-initqueue[289]: ext4_inode_cache       0      0   2280   14    8 : tunables    0    0    0 : slabdata      0      0      0
[   30.975218] dracut-initqueue[289]: ext4_allocation_context      0      0    128   32    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.979083] dracut-initqueue[289]: ext4_prealloc_space      0      0    168   24    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.981626] dracut-initqueue[289]: ext4_io_end            0      0     64   64    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.984652] dracut-initqueue[289]: ext4_extent_status      0      0     40  102    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.988129] dracut-initqueue[289]: mbcache                0      0     56   73    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.990682] dracut-initqueue[289]: fscrypt_info           0      0     32  128    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.993834] dracut-initqueue[289]: fscrypt_ctx            0      0     96   42    1 : tunables    0    0    0 : slabdata      0      0      0
[   30.997882] dracut-initqueue[289]: userfaultfd_ctx_cache      0      0    448    9    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.002233] dracut-initqueue[289]: fsnotify_mark          0      0    136   30    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.005110] dracut-initqueue[289]: dio                    0      0    704   11    2 : tunables    0    0    0 : slabdata      0      0      0
[   31.008817] dracut-initqueue[289]: posix_timers_cache      0      0    296   13    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.011495] dracut-initqueue[289]: UNIX                  24     24   1920    8    4 : tunables    0    0    0 : slabdata      3      3      0
[   31.014844] dracut-initqueue[289]: ip4-frags              0      0    312   13    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.017395] dracut-initqueue[289]: secpath_cache         32     32    128   32    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.020754] dracut-initqueue[289]: PING                   0      0   1472   11    4 : tunables    0    0    0 : slabdata      0      0      0
[   31.023201] dracut-initqueue[289]: RAW                   11     11   1472   11    4 : tunables    0    0    0 : slabdata      1      1      0
[   31.026222] dracut-initqueue[289]: UDP                   19     19   1664   19    8 : tunables    0    0    0 : slabdata      1      1      0
[   31.030182] dracut-initqueue[289]: tw_sock_TCP            0      0    288   14    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.033610] dracut-initqueue[289]: request_sock_TCP       0      0    352   11    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.037792] dracut-initqueue[289]: TCP                    0      0   2752   11    8 : tunables    0    0    0 : slabdata      0      0      0
[   31.040176] dracut-initqueue[289]: hugetlbfs_inode_cache     14     14   1152   14    4 : tunables    0    0    0 : slabdata      1      1      0
[   31.043423] dracut-initqueue[289]: dquot                  0      0    448    9    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.046939] dracut-initqueue[289]: eventpoll_pwq         56     56     72   56    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.050143] dracut-initqueue[289]: eventpoll_epi         64     64    128   32    1 : tunables    0    0    0 : slabdata      2      2      0
[   31.053591] dracut-initqueue[289]: inotify_inode_mark     28     28    144   28    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.056043] dracut-initqueue[289]: dax_cache             13     13   1216   13    4 : tunables    0    0    0 : slabdata      1      1      0
[   31.059302] dracut-initqueue[289]: request_queue          0      0   3072   10    8 : tunables    0    0    0 : slabdata      0      0      0
[   31.062759] dracut-initqueue[289]: blkdev_requests        0      0    392   10    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.068375] dracut-initqueue[289]: blkdev_ioc             0      0    288   14    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.072129] dracut-initqueue[289]: biovec-max             8      8   8192    4    8 : tunables    0    0    0 : slabdata      2      2      0
[   31.074595] dracut-initqueue[289]: biovec-128             0      0   2048    8    4 : tunables    0    0    0 : slabdata      0      0      0
[   31.077591] dracut-initqueue[289]: biovec-64              0      0   1024    8    2 : tunables    0    0    0 : slabdata      0      0      0
[   31.080675] dracut-initqueue[289]: user_namespace         0      0    680   12    2 : tunables    0    0    0 : slabdata      0      0      0
[   31.083519] dracut-initqueue[289]: uid_cache             16     16    256   16    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.086732] dracut-initqueue[289]: dmaengine-unmap-256     15     15   2112   15    8 : tunables    0    0    0 : slabdata      1      1      0
[   31.089159] dracut-initqueue[289]: dmaengine-unmap-128     15     15   1088   15    4 : tunables    0    0    0 : slabdata      1      1      0
[   31.093168] dracut-initqueue[289]: dmaengine-unmap-16     21     21    192   21    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.095913] dracut-initqueue[289]: sock_inode_cache      56     56   1152   14    4 : tunables    0    0    0 : slabdata      4      4      0
[   31.100309] dracut-initqueue[289]: skbuff_head_cache    208    208    256   16    1 : tunables    0    0    0 : slabdata     13     13      0
[   31.103533] dracut-initqueue[289]: file_lock_ctx          0      0    120   34    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.105886] dracut-initqueue[289]: fsnotify_mark_connector     42     42     96   42    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.109715] dracut-initqueue[289]: net_namespace          0      0   9664    3    8 : tunables    0    0    0 : slabdata      0      0      0
[   31.113164] dracut-initqueue[289]: task_delay_info       60     60    136   30    1 : tunables    0    0    0 : slabdata      2      2      0
[   31.116470] dracut-initqueue[289]: taskstats             12     12    328   12    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.121143] dracut-initqueue[289]: proc_dir_entry       320    320    256   16    1 : tunables    0    0    0 : slabdata     20     20      0
[   31.124746] dracut-initqueue[289]: pde_opener           102    102     40  102    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.129127] dracut-initqueue[289]: proc_inode_cache     309    336   1136   14    4 : tunables    0    0    0 : slabdata     24     24      0
[   31.131545] dracut-initqueue[289]: seq_file              16     16    256   16    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.133919] dracut-initqueue[289]: sigqueue              25     25    160   25    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.136415] dracut-initqueue[289]: bdev_cache            10     10   1536   10    4 : tunables    0    0    0 : slabdata      1      1      0
[   31.139819] dracut-initqueue[289]: shmem_inode_cache   1035   1035   1368   23    8 : tunables    0    0    0 : slabdata     45     45      0
[   31.142494] dracut-initqueue[289]: kernfs_node_cache  14344  14344    184   22    1 : tunables    0    0    0 : slabdata    652    652      0
[   31.146444] dracut-initqueue[289]: mnt_cache             72     72    448    9    1 : tunables    0    0    0 : slabdata      8      8      0
[   31.149420] dracut-initqueue[289]: filp                 299    322    576   14    2 : tunables    0    0    0 : slabdata     23     23      0
[   31.155188] dracut-initqueue[289]: inode_cache        12420  12420   1064   15    4 : tunables    0    0    0 : slabdata    828    828      0
[   31.157852] dracut-initqueue[289]: dentry             13824  13824    320   12    1 : tunables    0    0    0 : slabdata   1152   1152      0
[   31.161125] dracut-initqueue[289]: names_cache            8      8   4096    8    8 : tunables    0    0    0 : slabdata      1      1      0
[   31.164117] dracut-initqueue[289]: iint_cache             0      0    248   16    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.166777] dracut-initqueue[289]: ebitmap_node          64     64     64   64    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.170123] dracut-initqueue[289]: avtab_node           170    170     24  170    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.172752] dracut-initqueue[289]: avc_xperms_data      128    128     32  128    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.176189] dracut-initqueue[289]: selinux_file_security    256    256     16  256    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.180136] dracut-initqueue[289]: selinux_inode_security  13788  13788    112   36    1 : tunables    0    0    0 : slabdata    383    383      0
[   31.183677] dracut-initqueue[289]: key_jar               24     24    320   12    1 : tunables    0    0    0 : slabdata      2      2      0
[   31.187611] dracut-initqueue[289]: buffer_head            0      0    104   39    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.191294] dracut-initqueue[289]: uts_namespace          0      0    440    9    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.194145] dracut-initqueue[289]: nsproxy               73     73     56   73    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.197435] dracut-initqueue[289]: vm_area_struct      1100   1100    200   20    1 : tunables    0    0    0 : slabdata     55     55      0
[   31.199760] dracut-initqueue[289]: mm_struct             12     12   2624   12    8 : tunables    0    0    0 : slabdata      1      1      0
[   31.202357] dracut-initqueue[289]: files_cache           19     19    832   19    4 : tunables    0    0    0 : slabdata      1      1      0
[   31.205429] dracut-initqueue[289]: signal_cache          66     66   1408   11    4 : tunables    0    0    0 : slabdata      6      6      0
[   31.208165] dracut-initqueue[289]: sighand_cache         56     56   2240   14    8 : tunables    0    0    0 : slabdata      4      4      0
[   31.211860] dracut-initqueue[289]: task_struct           54     58  12992    2    8 : tunables    0    0    0 : slabdata     29     29      0
[   31.214592] dracut-initqueue[289]: cred_jar              84     84    192   21    1 : tunables    0    0    0 : slabdata      4      4      0
[   31.218951] dracut-initqueue[289]: anon_vma             418    418    208   19    1 : tunables    0    0    0 : slabdata     22     22      0
[   31.222204] dracut-initqueue[289]: pid                 1024   1024     64   64    1 : tunables    0    0    0 : slabdata     16     16      0
[   31.226525] dracut-initqueue[289]: Acpi-ParseExt         39     39    104   39    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.230486] dracut-initqueue[289]: Acpi-State           153    153     80   51    1 : tunables    0    0    0 : slabdata      3      3      0
[   31.233460] dracut-initqueue[289]: numa_policy           15     15    264   15    1 : tunables    0    0    0 : slabdata      1      1      0
[   31.237108] dracut-initqueue[289]: debug_objects_cache  10608  10608     40  102    1 : tunables    0    0    0 : slabdata    104    104      0
[   31.240153] dracut-initqueue[289]: trace_event_file    1380   1380     88   46    1 : tunables    0    0    0 : slabdata     30     30      0
[   31.243968] dracut-initqueue[289]: ftrace_event_field   3230   3230     48   85    1 : tunables    0    0    0 : slabdata     38     38      0
[   31.246799] dracut-initqueue[289]: pool_workqueue        16     16    512    8    1 : tunables    0    0    0 : slabdata      2      2      0
[   31.250459] dracut-initqueue[289]: radix_tree_node      728    728    584   14    2 : tunables    0    0    0 : slabdata     52     52      0
[   31.254643] dracut-initqueue[289]: task_group            10     10    768   10    2 : tunables    0    0    0 : slabdata      1      1      0
[   31.258799] dracut-initqueue[289]: page->ptl           1064   1064     72   56    1 : tunables    0    0    0 : slabdata     19     19      0
[   31.261803] dracut-initqueue[289]: dma-kmalloc-8192       0      0   8192    4    8 : tunables    0    0    0 : slabdata      0      0      0
[   31.265427] dracut-initqueue[289]: dma-kmalloc-4096       0      0   4096    8    8 : tunables    0    0    0 : slabdata      0      0      0
[   31.268205] dracut-initqueue[289]: dma-kmalloc-2048       0      0   2048    8    4 : tunables    0    0    0 : slabdata      0      0      0
[   31.271855] dracut-initqueue[289]: dma-kmalloc-1024       0      0   1024    8    2 : tunables    0    0    0 : slabdata      0      0      0
[   31.276089] dracut-initqueue[289]: dma-kmalloc-512        0      0    512    8    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.279062] dracut-initqueue[289]: dma-kmalloc-256        0      0    256   16    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.282131] dracut-initqueue[289]: dma-kmalloc-128        0      0    128   32    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.286264] dracut-initqueue[289]: dma-kmalloc-64         0      0     64   64    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.289393] dracut-initqueue[289]: dma-kmalloc-32         0      0     32  128    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.293272] dracut-initqueue[289]: dma-kmalloc-16         0      0     16  256    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.295641] dracut-initqueue[289]: dma-kmalloc-8          0      0      8  512    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.298998] dracut-initqueue[289]: dma-kmalloc-192        0      0    192   21    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.301396] dracut-initqueue[289]: dma-kmalloc-96         0      0     96   42    1 : tunables    0    0    0 : slabdata      0      0      0
[   31.303808] dracut-initqueue[289]: kmalloc-8192          24     24   8192    4    8 : tunables    0    0    0 : slabdata      6      6      0
[   31.307129] dracut-initqueue[289]: kmalloc-4096         128    128   4096    8    8 : tunables    0    0    0 : slabdata     16     16      0
[   31.310939] dracut-initqueue[289]: kmalloc-2048         384    384   2048    8    4 : tunables    0    0    0 : slabdata     48     48      0
[   31.313357] dracut-initqueue[289]: kmalloc-1024         280    280   1024    8    2 : tunables    0    0    0 : slabdata     35     35      0
[   31.316960] dracut-initqueue[289]: kmalloc-512          456    456    512    8    1 : tunables    0    0    0 : slabdata     57     57      0
[   31.322057] dracut-initqueue[289]: kmalloc-256          672    672    256   16    1 : tunables    0    0    0 : slabdata     42     42      0
[   31.324658] dracut-initqueue[289]: kmalloc-192        65940  65940    192   21    1 : tunables    0    0    0 : slabdata   3140   3140      0
[   31.328238] dracut-initqueue[289]: kmalloc-128          512    512    128   32    1 : tunables    0    0    0 : slabdata     16     16      0
[   31.331945] dracut-initqueue[289]: kmalloc-96           588    588     96   42    1 : tunables    0    0    0 : slabdata     14     14      0
[   31.334360] dracut-initqueue[289]: kmalloc-64          2880   2880     64   64    1 : tunables    0    0    0 : slabdata     45     45      0
[   31.337539] dracut-initqueue[289]: kmalloc-32          2944   2944     32  128    1 : tunables    0    0    0 : slabdata     23     23      0
[   31.341277] dracut-initqueue[289]: kmalloc-16          1280   1280     16  256    1 : tunables    0    0    0 : slabdata      5      5      0
[   31.346526] dracut-initqueue[289]: kmalloc-8           2048   2048      8  512    1 : tunables    0    0    0 : slabdata      4      4      0
[   31.349927] dracut-initqueue[289]: kmem_cache_node      160    160    128   32    1 : tunables    0    0    0 : slabdata      5      5      0
[   31.355483] dracut-initqueue[289]: kmem_cache           135    135    448    9    1 : tunables    0    0    0 : slabdata     15     15      0
[   31.489545] virtio_blk virtio2: [vda] 41943040 512-byte logical blocks (21.5 GB/20.0 GiB)
[   31.500536]  vda: vda1 vda2
[   31.902712] [drm] Device Version 0.0
[   31.902715] [drm] Compression level 0 log level 0
[   31.902716] [drm] 12286 io pages at offset 0x1000000
[   31.902717] [drm] 16777216 byte draw area at offset 0x0
[   31.902718] [drm] RAM header offset: 0x3ffe000
[   31.910191] [TTM] Zone  kernel: Available graphics memory: 56066 kiB
[   31.910194] [TTM] Initializing pool allocator
[   31.910213] [TTM] Initializing DMA pool allocator
[   31.910266] [drm] qxl: 16M of VRAM memory size
[   31.910268] [drm] qxl: 63M of IO pages memory ready (VRAM domain)
[   31.910268] [drm] qxl: 64M of Surface memory size
[   31.929318] [drm] main mem slot 1 [f4000000,3ffe000]
[   31.929320] [drm] surface mem slot 2 [f8000000,4000000]
[   31.931034] [drm] fb mappable at 0xF4000000, size 3145728
[   31.931043] [drm] fb: depth 24, pitch 4096, width 1024, height 768
[   31.954377] fbcon: qxldrmfb (fb0) is primary device
[   31.977396] Console: switching to colour frame buffer device 128x48
[   31.986286] qxl 0000:00:02.0: fb0: qxldrmfb frame buffer device
[   31.995732] [drm] Initialized qxl 0.1.0 20120117 for 0000:00:02.0 on minor 0
[   32.019413] virtio_net virtio0 ens3: renamed from eth0
[   32.233363] setfont (318) used greatest stack depth: 13288 bytes left
[   32.367885] systemd-udevd (287) used greatest stack depth: 12264 bytes left
[   32.370916] systemd-udevd (288) used greatest stack depth: 12008 bytes left
[  OK  ] Found device /dev/mapper/fedora-root.
[  OK  ] Started dracut initqueue hook.
[   32.546801] audit: type=1130 audit(1528190166.464:11): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-initqueue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Reached target Remote File Systems (Pre).
[  OK  ] Reached target Remote File Systems.
[  OK  ] Reached target Initrd Root File System.
         Starting Reload Configuration from the Real Root...
         Starting File System Check on /dev/mapper/fedora-root...
[  OK  ] Started File System Check on /dev/mapper/fedora-root.
         Mounting /sysroot...
[  OK  ] Started Reload Configuration from the Real Root.
[  OK  ] Reached target Initrd File Systems.
[   32.842901] modprobe invoked oom-killer: gfp_mask=0x14002c2(GFP_KERNEL|__GFP_HIGHMEM|__GFP_NOWARN), nodemask=(null), order=0, oom_score_adj=0
[   32.845115] modprobe cpuset=/ mems_allowed=0
[   32.845896] CPU: 0 PID: 392 Comm: modprobe Not tainted 4.17.0-0.rc7.git2.1.fc29.x86_64 #1
[   32.847308] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.11.0-2.fc28 04/01/2014
[   32.848787] Call Trace:
[   32.849219]  dump_stack+0x85/0xc0
[   32.849801]  dump_header+0x6e/0x2e8
[   32.850414]  ? trace_hardirqs_on_caller+0xed/0x180
[   32.851243]  oom_kill_process.cold.30+0xb/0x44f
[   32.852024]  out_of_memory+0x1d0/0x5a0
[   32.852677]  __alloc_pages_slowpath+0xf44/0x10a0
[   32.853488]  __alloc_pages_nodemask+0x3a8/0x430
[   32.854230]  __vmalloc_node_range+0x1da/0x2a0
[   32.855583]  __vmalloc+0x30/0x40
[   32.856707]  ? __do_sys_init_module+0xa4/0x1a0
[   32.858002]  __do_sys_init_module+0xa4/0x1a0
[   32.859275]  do_syscall_64+0x60/0x1f0
[   32.860434]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[   32.861817] RIP: 0033:0x7f00b7b5dd1a
[   32.862949] RSP: 002b:00007ffec260fa78 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[   32.864861] RAX: ffffffffffffffda RBX: 0000562a33352b70 RCX: 00007f00b7b5dd1a
[   32.867651] RDX: 0000562a32d573e6 RSI: 00000000003a682b RDI: 0000562a33b61410
[   32.870884] RBP: 0000562a32d573e6 R08: 0000000000000001 R09: 0000000000000000
[   32.872809] R10: 0000562a33352010 R11: 0000000000000246 R12: 0000562a33b61410
[   32.874570] R13: 0000562a33352ef0 R14: 0000000000040000 R15: 0000000000000000
[   32.876380] Mem-Info:
[   32.877411] active_anon:7651 inactive_anon:5652 isolated_anon:0
[   32.877411]  active_file:0 inactive_file:0 isolated_file:0
[   32.877411]  unevictable:0 dirty:0 writeback:0 unstable:0
[   32.877411]  slab_reclaimable:3947 slab_unreclaimable:6778
[   32.877411]  mapped:2432 shmem:10345 pagetables:163 bounce:0
[   32.877411]  free:373 free_pcp:3 free_cma:0
[   32.887857] Node 0 active_anon:30604kB inactive_anon:22608kB active_file:0kB inactive_file:0kB unevictable:0kB isolated(anon):0kB isolated(file):0kB mapped:9728kB dirty:0kB writeback:0kB shmem:41380kB shmem_thp: 0kB shmem_pmdmapped: 0kB anon_thp: 0kB writeback_tmp:0kB unstable:0kB all_unreclaimable? no
[   32.895405] Node 0 DMA free:332kB min:4kB low:4kB high:4kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:632kB managed:548kB mlocked:0kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
[   32.901409] lowmem_reserve[]: 0 84 84 84 84
[   32.902861] Node 0 DMA32 free:1160kB min:1168kB low:1460kB high:1752kB active_anon:30604kB inactive_anon:22608kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:163188kB managed:111584kB mlocked:0kB kernel_stack:848kB pagetables:652kB bounce:0kB free_pcp:12kB local_pcp:12kB free_cma:0kB
[   32.909093] lowmem_reserve[]: 0 0 0 0 0
[   32.910448] Node 0 DMA: 1*4kB (U) 1*8kB (U) 0*16kB 0*32kB 1*64kB (U) 0*128kB 1*256kB (U) 0*512kB 0*1024kB 0*2048kB 0*4096kB = 332kB
[   32.914089] Node 0 DMA32: 0*4kB 1*8kB (U) 8*16kB (M) 2*32kB (M) 3*64kB (UM) 2*128kB (U) 2*256kB (UM) 0*512kB 0*1024kB 0*2048kB 0*4096kB = 1160kB
[   32.918144] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
[   32.920540] 10345 total pagecache pages
[   32.922116] 0 pages in swap cache
[   32.923836] Swap cache stats: add 0, delete 0, find 0/0
[   32.925307] Free swap  = 0kB
[   32.926434] Total swap = 0kB
[   32.927596] 40955 pages RAM
[   32.928698] 0 pages HighMem/MovableOnly
[   32.929926] 12922 pages reserved
[   32.931051] 0 pages cma reserved
[   32.932166] 0 pages hwpoisoned
[   32.933366] [ pid ]   uid  tgid total_vm      rss pgtables_bytes swapents oom_score_adj name
[   32.935218] [  177]     0   177    21162     1694   184320        0             0 systemd-journal
[   32.937103] [  278]     0   278    20690     1843   200704        0         -1000 systemd-udevd
[   32.938899] [  390]     0   390     5574      344    94208        0             0 mount
[   32.940651] [  392]     0   392     6371     2426    90112        0             0 modprobe
[   32.943270] Out of memory: Kill process 392 (modprobe) score 87 or sacrifice child
[   32.945094] Killed process 392 (modprobe) total-vm:25484kB, anon-rss:7580kB, file-rss:4kB, shmem-rss:2120kB
[   32.955769] oom_reaper: reaped process 392 (modprobe), now anon-rss:0kB, file-rss:0kB, shmem-rss:0kB
[FAILED] Failed to mount /sysroot.
See 'systemctl status sysroot.mount' for details.
[DEPEND] Dependency failed for Local File Systems.
[  OK  ] Stopped dracut pre-udev hook.


--
Thanks,
Qiao
Comment 3 Qiao Zhao 2018-06-06 02:05:24 EDT
Retest by latest kernel kernel-4.17.0-1.fc29, crashkernel=160M works well both local and nfs dump. So, we can close this bug as NOTABUG.
Comment 4 Jan Kurik 2018-08-14 06:29:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Note You need to log in before you can comment on or make changes to this bug.